{#
/**
 * @file
 * Template for offcanvas component.
 *
 * Available config:
 * - color: light | dark
 * - offcanvas_utility_classes: An array of utility classes.
 *
 * Available blocks:
 * - header
 * - body
 * - footer
 *
 * Changes against Radix:
 * - TODO
 */
#}

{% set color = color ?? 'light' %}

<div id="offcanvas-main-nav" class="offcanvas offcanvas-end text-bg-{{ color }}" tabindex="-1" aria-labelledby="{{ 'Main Navigation'|t }}" data-bs-theme="{{ color }}">
  <div class="offcanvas-header">
    {# We dont want a title here by default, but its required to have the close button on the right #}
    <div class="offcanvas-title">&nbsp;</div>
    {# TODO: Make the close button configurable default vs. animated burger #}
    {# <button type="button" class="btn-close{% if color == 'dark' %} btn-close-white{% endif %}" data-bs-dismiss="offcanvas" aria-label="Close"></button> #}
    {% apply spaceless %}
      <button class="navbar-toggler" type="button" data-bs-toggle="offcanvas" data-bs-target="#offcanvas-main-nav" aria-controls="offcanvas-main-nav" aria-label="Toggle navigation">
        {# Static BS default burger menu icon #}
        {# <span class="navbar-toggler-icon"></span> #}
        {# Animated Burger Icon #}
        <span class="navbar-toggler-icon-animated">
          <span></span>
          <span></span>
          <span></span>
          <span></span>
        </span>
      </button>
    {% endapply %}
  </div>
  <div class="offcanvas-body">
    {% block top %}
      {% if top %}
        <div class="offcanvas-body__top">
          {{ top }}
        </div>
      {% endif %}
    {% endblock top %}
    {% block middle %}
      {% if middle %}
        <div class="offcanvas-body__middle">
          {{ middle }}
        </div>
      {% endif %}
    {% endblock middle %}
    {% block bottom %}
      {% if bottom %}
        <div class="offcanvas-body__bottom">
          {{ bottom }}
        </div>
      {% endif %}
    {% endblock bottom %}
  </div>
</div>
